import React, { ReactNode } from "react";
declare type GlobalState = typeof globalState;
declare let globalState: {
    sources: string[];
    codes: {
        [key: string]: string;
    };
    codeMemo: {
        [component: string]: React.ReactNode;
    };
    isEnabled: boolean;
    activeComponent: string | null;
    activeComponentCode: React.ReactNode;
    getComponentCode: (filePath: string) => ReactNode;
};
declare const actions: {
    TOGGLE_HANDLER: (curState: GlobalState) => {
        isEnabled: boolean;
        activeComponent: null;
        sources: string[];
        codes: {
            [key: string]: string;
        };
        codeMemo: {
            [component: string]: React.ReactNode;
        };
        activeComponentCode: React.ReactNode;
        getComponentCode: (filePath: string) => ReactNode;
    };
    SET_ACTIVE_COMPONENT: (curState: GlobalState, payload: string) => {
        activeComponent: string;
        activeComponentCode: React.ReactNode;
        sources: string[];
        codes: {
            [key: string]: string;
        };
        codeMemo: {
            [component: string]: React.ReactNode;
        };
        isEnabled: boolean;
        getComponentCode: (filePath: string) => ReactNode;
    };
};
export declare const useStore: (bundleMapPath?: string) => {
    store: {
        sources: string[];
        codes: {
            [key: string]: string;
        };
        codeMemo: {
            [component: string]: React.ReactNode;
        };
        isEnabled: boolean;
        activeComponent: string | null;
        activeComponentCode: React.ReactNode;
        getComponentCode: (filePath: string) => ReactNode;
    };
    dispatch: (actionIdentefier: keyof typeof actions, payload?: any) => void;
};
export {};
